.bocata {
  position: relative;
}
.bocata:after, .bocata:before {
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
  z-index: 99;
}
.bocata {
  background-color: #ffffff;
  width: 220px;
  position: relative;
  border: 4px solid #008fa5;
  border-radius: 5px;
  height:60px;
}
.bocata:after {
  top: 100%;
  left: 28%;
  border-top-color: #fff;
  left: 28%;
  border-width: 10px;
  margin-top: -10px;
  margin-top: 0;
}
.bocata:before {
  border-width: 16px;
  border-top-color: #008fa5;
  left: 28%;
  bottom: -32px;
  margin-left: -6px;
}
.bocata.new_message {
  -webkit-transition: width cubic-bezier(0.11, 0.92, 0.52, 0.98);
  transition: width cubic-bezier(0.11, 0.92, 0.52, 0.98);
  -webkit-animation: collapsing 0.7s;
          animation: collapsing 0.7s;
}
.bocata.new_message .message_length {
  -webkit-animation: zoom 0.6s 0.7s;
          animation: zoom 0.6s 0.7s;
}
.bocata.new_message .text_wrapper .dots.dot_one {
  -webkit-animation: blink 1s 0.6s infinite alternate;
          animation: blink 1s 0.6s infinite alternate;
}
.bocata.new_message .text_wrapper .dots.dot_two {
  -webkit-animation: blink 1s 0.75s infinite alternate;
          animation: blink 1s 0.75s infinite alternate;
}
.bocata.new_message .text_wrapper .dots.dot_three {
  -webkit-animation: blink 1s 0.9s infinite alternate;
          animation: blink 1s 0.9s infinite alternate;
}
.bocata .message_length {
  position: absolute;
  min-width: 18px;
  top: -25px;
  right: -25px;
  text-align: center;
  zoom: 100%;
  background-color: #008fa5;
  color: white;
  border-radius: 10px;
  padding: 0.5em;
}
.bocata .text_wrapper {
  text-align: center;
}
.bocata .text_wrapper .dots_wrapper {
  float: left;
  width: 33%;
  text-align: center;
}
.bocata .text_wrapper .dots {
  width: 5px;
  height: 5px;
  line-height: 0;
  border-radius: 50%;
  display: inline-block;
  background-color: black;
}
.bocata .shadow {
  content: "";
  height: 2px;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  box-shadow: 0 25px 20px 0px #008fa5;
}

@-webkit-keyframes collapsing {
  0% {
    width: 100px;
  }
  20% {
    width: 80px;
  }
  70% {
    width: 75px;
  }
  75% {
    width: 110px;
  }
  90% {
    width: 90px;
  }
  100% {
    width: 100px;
  }
}

@keyframes collapsing {
  0% {
    width: 100px;
  }
  20% {
    width: 80px;
  }
  70% {
    width: 75px;
  }
  75% {
    width: 110px;
  }
  90% {
    width: 90px;
  }
  100% {
    width: 100px;
  }
}
@-webkit-keyframes blink {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes blink {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@-webkit-keyframes zoom {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  50% {
    -webkit-transform: scale(1.15);
            transform: scale(1.15);
  }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
}
@keyframes zoom {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  50% {
    -webkit-transform: scale(1.15);
            transform: scale(1.15);
  }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
}